# Graphic2d_TypeOfPrimitive.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Graphic2d_TypeOfPrimitive { Graphic2d_TOP_UNKNOWN, Graphic2d_TOP_LINE, Graphic2d_TOP_MARKER, Graphic2d_TOP_TEXT, Graphic2d_TOP_IMAGE }

## Enumeration Type Documentation

enum Graphic2d_TypeOfPrimitive

Enumeration values:

  Graphic2d_TOP_UNKNOWN |
  Graphic2d_TOP_LINE |
  Graphic2d_TOP_MARKER |
  Graphic2d_TOP_TEXT |
  Graphic2d_TOP_IMAGE |